pandoc-lua-marshal-0.3.0: Use pandoc types in Lua

Copyright | © 2021-2024 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb+pandoc@moltkeplatz.de>
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Lua.Marshal.Alignment

Description

Marshaling/unmarshaling functions of `Alignment` values.

Synopsis

- peekAlignment :: Peeker e Alignment
- pushAlignment :: Pusher e Alignment

# Documentation

peekAlignment :: Peeker e Alignment #

Retrieves a `Alignment` value from a string.

pushAlignment :: Pusher e Alignment #

Pushes a `Alignment` value as a string.